/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at
 * https://glassfish.dev.java.net/public/CDDLv1.0.html.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at https://glassfish.dev.java.net/public/CDDLv1.0.html.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems Inc. All Rights Reserved
 */
package com.sun.xml.wss.impl.callback;

import java.security.KeyStore;
import java.security.PrivateKey;
import javax.security.auth.callback.Callback;

/**
 * Callback class for obtaining the private key from KeyStore
 * Used only for Metro(WSIT) Security Scenarios
 */
public class PrivateKeyCallback extends XWSSCallback implements Callback {

    /**
     * The Private Key to be set by the CallbackHandler.
     */
    private PrivateKey key;
    /**
     * CallbackHandler Implementations may choose to ignore the keystore
     */
    private KeyStore keystore;
    /** 
     * The alias (identifier) for the required PrivateKey
     */
    private String   alias;

    public PrivateKey getKey() {
        return key;
    }

    public void setKey(PrivateKey key) {
        this.key = key;
    }

    public KeyStore getKeystore() {
        return keystore;
    }

    public void setKeystore(KeyStore keystore) {
        this.keystore = keystore;
    }
    
    public void setAlias(String alias) {
        this.alias = alias;
    }
    
    public String getAlias() {
        return alias;
    }
    
}
